Skip to main content
GET
/
orgs
/
{orgId}
/
compliance
/
summary
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/orgs/{orgId}/compliance/summary \
  --header 'Authorization: Bearer <token>'
{
  "framework": "<string>",
  "totalControls": 123,
  "byStatus": {},
  "byCategory": {},
  "overallProgress": 50,
  "expiredEvidenceCount": 123
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

orgId
string
required

Organization identifier

Query Parameters

framework
enum<string>
required

Framework to summarize

Available options:
SOC2,
GDPR,
PCI

Response

200 - application/json

OK

Compliance framework summary

framework
string
required

Framework identifier

totalControls
integer
required

Total number of controls

byStatus
object
required

Count of controls by status

byCategory
object
required

Breakdown by category

overallProgress
integer
required

Overall implementation progress percentage

Required range: 0 <= x <= 100
expiredEvidenceCount
integer
required

Number of expired evidence items